<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F2F4F8"
    android:orientation="vertical"
    tools:context=".fragment.HomeFragment">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|start"
            android:layout_marginStart="16dp"
            android:text="@string/app_name"
            android:textSize="19sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|end"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/iv_vip"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="5dp"
                android:src="@mipmap/h_vipicon"
                android:visibility="gone"
                tools:ignore="ContentDescription" />

            <FrameLayout
                android:id="@+id/fl_setting"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"

                android:padding="10dp"
                tools:ignore="UselessParent">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="6dp"
                    android:src="@mipmap/shezhi"
                    tools:ignore="ContentDescription" />
            </FrameLayout>

        </LinearLayout>

    </FrameLayout>

    <androidx.core.widget.NestedScrollView
        android:id="@+id/nestedScrollView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <FrameLayout
                android:id="@+id/fl_scan"
                android:layout_width="280dp"
                android:layout_height="280dp"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="-20dp">

                <com.base.filerecoveryrecyclebin.view.XmlLottieAnimationView
                    android:id="@+id/lottie"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:adjustViewBounds="true"
                    app:lottie_autoPlay="true"
                    app:lottie_rawRes="@raw/memosj" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:text="Clean"
                        android:textColor="@color/white"
                        android:textSize="30sp"
                        android:textStyle="bold"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="10dp"
                        android:text="Junk File"
                        android:textColor="@color/white"
                        android:textSize="15sp"
                        tools:ignore="HardcodedText" />
                </LinearLayout>


            </FrameLayout>

            <LinearLayout
                android:id="@+id/ll_storage"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="-20dp"
                android:layout_marginBottom="15dp"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="Used Space"
                    android:textColor="#666666"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/tv_storage"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:textColor="#FF0303"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:text="52.0 GB : 128 GB" />
            </LinearLayout>

            <ImageView
                android:id="@+id/iv_arrow_up"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"

                android:src="@mipmap/xiala_h"
                tools:ignore="ContentDescription"
                tools:text="Scanned junk files 29.69MB" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:orientation="horizontal"
                tools:ignore="DisableBaselineAlignment">

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_junk_clean"
                    android:layout_width="0dp"
                    android:layout_height="80dp"
                    android:layout_margin="8dp"
                    android:layout_weight="1"
                    android:background="@mipmap/photo"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="10dp"
                            android:layout_marginEnd="8dp"
                            android:src="@mipmap/c_cleanjunk"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:text="Clean Junk"
                            android:textColor="@color/black"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />
                    </LinearLayout>


                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_whatsapp"
                    android:layout_width="0dp"
                    android:layout_height="80dp"
                    android:layout_margin="8dp"
                    android:layout_weight="1"
                    android:background="@mipmap/photo"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="10dp"
                            android:layout_marginEnd="8dp"
                            android:src="@mipmap/c_whatsapp"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:text="WhatsAPP\nCleaner"
                            android:textColor="@color/black"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />
                    </LinearLayout>


                </androidx.cardview.widget.CardView>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:orientation="horizontal"
                tools:ignore="DisableBaselineAlignment">

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_large_file"
                    android:layout_width="0dp"
                    android:layout_height="80dp"
                    android:layout_margin="8dp"
                    android:layout_weight="1"
                    android:background="@mipmap/photo"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="10dp"
                            android:layout_marginEnd="8dp"
                            android:src="@mipmap/c_large"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:text="Large File\nCleaner"
                            android:textColor="@color/black"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />
                    </LinearLayout>


                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_app_process"
                    android:layout_width="0dp"
                    android:layout_height="80dp"
                    android:layout_margin="8dp"
                    android:layout_weight="1"
                    android:background="@mipmap/photo"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="10dp"
                            android:layout_marginEnd="8dp"
                            android:src="@mipmap/c_appprocess"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:text="App\nProcess"
                            android:textColor="@color/black"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />
                    </LinearLayout>


                </androidx.cardview.widget.CardView>

            </LinearLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginVertical="8dp"
                android:layout_marginStart="16dp"
                android:text="More"
                android:textColor="@color/black"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

            <androidx.cardview.widget.CardView
                android:id="@+id/card_screenshot"
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:layout_marginHorizontal="15dp"
                android:layout_marginVertical="5dp"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="10dp"
                app:cardElevation="0dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_margin="10dp"
                        android:src="@mipmap/c_screenshot"
                        tools:ignore="ContentDescription" />

                    <LinearLayout

                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="8dp"
                        android:layout_weight="1"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Screenshot Cleaner"
                            android:textColor="@color/black"
                            android:textSize="15sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />

                        <TextView
                            android:id="@+id/tv_screenshot_size"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_horizontal"
                            android:layout_marginStart="20dp"
                            android:background="@drawable/bg_eb423b_2_5"
                            android:paddingHorizontal="5dp"
                            android:paddingVertical="2dp"
                            android:textColor="@color/white"
                            android:textSize="12sp"
                            android:visibility="gone"
                            tools:ignore="SmallSp"
                            tools:text="6.35 GB" />
                    </LinearLayout>


                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginHorizontal="15dp"
                        android:src="@mipmap/jianotu_h"
                        tools:ignore="ContentDescription" />

                </LinearLayout>


            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:id="@+id/card_duplicate"
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:layout_marginHorizontal="15dp"
                android:layout_marginVertical="5dp"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="10dp"
                app:cardElevation="0dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_margin="10dp"
                        android:src="@mipmap/c_duplicate"
                        tools:ignore="ContentDescription" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="8dp"
                        android:layout_weight="1"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Duplicate Photos"
                            android:textColor="@color/black"
                            android:textSize="15sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />

                        <TextView
                            android:id="@+id/tv_duplicate_size"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_horizontal"
                            android:layout_marginStart="20dp"
                            android:background="@drawable/bg_eb423b_2_5"
                            android:paddingHorizontal="5dp"
                            android:paddingVertical="2dp"
                            android:textColor="@color/white"
                            android:textSize="12sp"
                            android:visibility="gone"
                            tools:ignore="SmallSp"
                            tools:text="6.35 GB" />
                    </LinearLayout>


                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginHorizontal="15dp"
                        android:src="@mipmap/jianotu_h"
                        tools:ignore="ContentDescription" />

                </LinearLayout>


            </androidx.cardview.widget.CardView>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>


</LinearLayout>